Package org.eclipse.emf.compare.match.eobject

# Interface EqualityHelperExtensionProvider

public interface EqualityHelperExtensionProvider
Compute specific matching rules. This is used by the EqualityHelper.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`EqualityHelperExtensionProvider.Descriptor`
Wrapper describing the given equality helper extension provider.
`static enum`
`EqualityHelperExtensionProvider.SpecificMatch`
Enumeration used to return the result of a specific matching.

## Method Summary

Modifier and Type
Method
Description
`EqualityHelperExtensionProvider.SpecificMatch`
`matchingEObjects(EObject object1, EObject object2, IEqualityHelper equalityHelper)`
Test whether two objects match.

## Method Details

### matchingEObjects

EqualityHelperExtensionProvider.SpecificMatch matchingEObjects(EObject object1, EObject object2, IEqualityHelper equalityHelper)
Test whether two objects match.

Parameters:
  `object1` - First of the two compared objects.
  `object2` - Second of the two compared objects.
  `equalityHelper` - Calling equality helper
Returns:
  MATCH if the objects match, UNMATCH if they do not match, UNKNOWN if the provider does not know how to handle these objects